Bug 177200 - [MAINTAINER] sysutils/lsof: 4.88B, better handling of filedesc
Summary: [MAINTAINER] sysutils/lsof: 4.88B, better handling of filedesc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 15:00 UTC by Larry Rosenman
Modified: 2013-03-22 18:08 UTC (History)
0 users

See Also:


Attachments
lsof-4.88.b,8.patch (1.08 KB, patch)
2013-03-21 15:00 UTC, Larry Rosenman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2013-03-21 15:00:01 UTC
supercedes ports/177115

Update to 4.88B, better handling of filedesc changes
Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: suffix)
Comment 1 Martin Wilke freebsd_committer 2013-03-21 16:02:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 rea 2013-03-22 06:36:53 UTC
Martin, I took some part in transforming the old PR (ports/177115)
into this one, I had already tested this one locally and I'll be
running Tinderbox builds just now.

May I take this PR?
-- 
rea
Comment 3 Eygene Ryabinkin freebsd_committer 2013-03-22 07:10:36 UTC
Fri, Mar 22, 2013 at 10:36:53AM +0400, Eygene Ryabinkin wrote:
> Martin, I took some part in transforming the old PR (ports/177115)
> into this one, I had already tested this one locally and I'll be
> running Tinderbox builds just now.


Tinderbox builds are OK, here's the QA page:
  http://codelabs.ru/fbsd/ports/qa/sysutils/lsof/4.88.b,8
-- 
Eygene Ryabinkin                                        ,,,^..^,,,
[ Life's unfair - but root password helps!           | codelabs.ru ]
[ 82FE 06BC D497 C0DE 49EC  4FF0 16AF 9EAE 8152 ECFB | freebsd.org ]
Comment 4 dfilter service freebsd_committer 2013-03-22 15:06:22 UTC
Author: rea
Date: Fri Mar 22 15:06:11 2013
New Revision: 314936
URL: http://svnweb.freebsd.org/changeset/ports/314936

Log:
  sysutils/lsof: upgrade to 4.88B
  
  4.88B is a fixup release that allows lsof to work with FreeBSD
  that was received changes in 'struct filedesc' (just now it is
  -HEAD after r247602).
  
  PR:		ports/177200
  Approved by:	Larry Rosenman <ler@lerctr.org> (maintainer)
  QA page:	http://codelabs.ru/fbsd/ports/qa/sysutils/lsof/4.88.b,8

Modified:
  head/sysutils/lsof/Makefile
  head/sysutils/lsof/distinfo

Modified: head/sysutils/lsof/Makefile
==============================================================================
--- head/sysutils/lsof/Makefile	Fri Mar 22 14:54:42 2013	(r314935)
+++ head/sysutils/lsof/Makefile	Fri Mar 22 15:06:11 2013	(r314936)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	lsof
-DISTVERSION=	4.87
+DISTVERSION=	4.88B
 PORTEPOCH=	8
 CATEGORIES=	sysutils
 MASTER_SITES=	http://ftp.cerias.purdue.edu/pub/tools/unix/sysutils/lsof/ \
@@ -26,7 +26,7 @@ MAINTAINER=	ler@lerctr.org
 COMMENT=	Lists information about open files (similar to fstat(1))
 
 #Please leave the below line in for the next clean up.
-#FIXUP_RELEASE=	YES
+FIXUP_RELEASE=	YES
 .if defined(FIXUP_RELEASE)
 DISTNAME_SUFFIX=.freebsd
 .else

Modified: head/sysutils/lsof/distinfo
==============================================================================
--- head/sysutils/lsof/distinfo	Fri Mar 22 14:54:42 2013	(r314935)
+++ head/sysutils/lsof/distinfo	Fri Mar 22 15:06:11 2013	(r314936)
@@ -1,2 +1,2 @@
-SHA256 (lsof_4.87.tar.bz2) = dfdd3709d82bc79ccdf3e404b84aafa9aede5948642a824ecaefd0aac589da2c
-SIZE (lsof_4.87.tar.bz2) = 773664
+SHA256 (lsof_4.88B.freebsd.tar.bz2) = c6aa74b5a8291d7dca19f13cbcf07dcdee089ef393cc9180a5c3622dc84c6cc2
+SIZE (lsof_4.88B.freebsd.tar.bz2) = 481140
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Eygene Ryabinkin freebsd_committer 2013-03-22 18:07:50 UTC
State Changed
From-To: open->closed

Commited the fix, thanks for your work!